Loading...
Searching...
No Matches
ieee_802154_hdr Struct Reference

`#include <ieee802154.h>`

## Data Fields

u16_t | frame_control
u8_t | sequence_number
u16_t | destination_pan_id
u8_t | destination_address [8]
u16_t | source_pan_id
u8_t | source_address [8]

## Detailed Description

General MAC frame format This shows the full featured header, mainly for documentation. Some fields are omitted or shortened to achieve frame compression.

## Field Documentation

## destination_address

u8_t ieee_802154_hdr::destination_address[8]

Destination Address is omitted if Destination Addressing Mode is 0

## destination_pan_id

u16_t ieee_802154_hdr::destination_pan_id

Destination PAN ID is omitted if Destination Addressing Mode is 0

## frame_control

u16_t ieee_802154_hdr::frame_control

See IEEE_802154_FC_* defines

## sequence_number

u8_t ieee_802154_hdr::sequence_number

Sequence number is omitted if IEEE_802154_FC_SEQNO_SUPPR is set in frame_control

## source_address

u8_t ieee_802154_hdr::source_address[8]

Source Address is omitted if Source Addressing Mode is 0

## source_pan_id

u16_t ieee_802154_hdr::source_pan_id

Source PAN ID is omitted if Source Addressing Mode is 0 or if IEEE_802154_FC_PANID_COMPR is set in frame control

The documentation for this struct was generated from the following file:

- src/include/netif/ieee802154.h